<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>OperationManagementModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="3234pt" height="211pt"
 viewBox="0.00 0.00 3234.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 3230,-207 3230,4 -4,4"/>
<text text-anchor="start" x="1592.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1379,-10 1379,-30 1399,-30 1399,-10 1379,-10"/>
<text text-anchor="start" x="1402.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1492,-10 1492,-30 1512,-30 1512,-10 1492,-10"/>
<text text-anchor="start" x="1515.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1578,-10 1578,-30 1598,-30 1598,-10 1578,-10"/>
<text text-anchor="start" x="1601.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1675,-10 1675,-30 1695,-30 1695,-10 1675,-10"/>
<text text-anchor="start" x="1698.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1771,-10 1771,-30 1791,-30 1791,-10 1771,-10"/>
<text text-anchor="start" x="1794.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_OperationManagementModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 3218,-195 3218,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_OperationManagementModule_declarations</title>
<polygon fill="none" stroke="#000000" points="1682,-78 1682,-130 3210,-130 3210,-78 1682,-78"/>
</g>
<g id="clust10" class="cluster">
<title>cluster_OperationManagementModule_imports</title>
<polygon fill="none" stroke="#000000" points="992,-78 992,-130 1674,-130 1674,-78 992,-78"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_OperationManagementModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 984,-130 984,-78 16,-78"/>
</g>
<!-- DeploymentSummaryComponent -->
<g id="node1" class="node">
<title>DeploymentSummaryComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3202.479,-122 2997.521,-122 2997.521,-86 3202.479,-86 3202.479,-122"/>
<text text-anchor="middle" x="3100" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DeploymentSummaryComponent</text>
</g>
<!-- OperationManagementModule -->
<g id="node8" class="node">
<title>OperationManagementModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1643.112,-187 1640.112,-191 1619.112,-191 1616.112,-187 1454.888,-187 1454.888,-151 1643.112,-151 1643.112,-187"/>
<text text-anchor="middle" x="1549" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationManagementModule</text>
</g>
<!-- DeploymentSummaryComponent&#45;&gt;OperationManagementModule -->
<g id="edge1" class="edge">
<title>DeploymentSummaryComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M3100,-122.3228C3100,-145.6602 3100,-183 3100,-183 3100,-183 1653.3971,-183 1653.3971,-183"/>
<polygon fill="#000000" stroke="#000000" points="1653.3972,-179.5001 1643.3971,-183 1653.3971,-186.5001 1653.3972,-179.5001"/>
</g>
<!-- OperationManagementComponent -->
<g id="node2" class="node">
<title>OperationManagementComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2979.3946,-122 2768.6054,-122 2768.6054,-86 2979.3946,-86 2979.3946,-122"/>
<text text-anchor="middle" x="2874" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationManagementComponent</text>
</g>
<!-- OperationManagementComponent&#45;&gt;OperationManagementModule -->
<g id="edge2" class="edge">
<title>OperationManagementComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M2874,-122.2921C2874,-144.2057 2874,-178 2874,-178 2874,-178 1653.2285,-178 1653.2285,-178"/>
<polygon fill="#000000" stroke="#000000" points="1653.2286,-174.5001 1643.2285,-178 1653.2285,-181.5001 1653.2286,-174.5001"/>
</g>
<!-- ProductionSummaryComponent -->
<g id="node3" class="node">
<title>ProductionSummaryComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2750.7105,-122 2553.2895,-122 2553.2895,-86 2750.7105,-86 2750.7105,-122"/>
<text text-anchor="middle" x="2652" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ProductionSummaryComponent</text>
</g>
<!-- ProductionSummaryComponent&#45;&gt;OperationManagementModule -->
<g id="edge3" class="edge">
<title>ProductionSummaryComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M2652,-122.0267C2652,-142.7672 2652,-174 2652,-174 2652,-174 1653.518,-174 1653.518,-174"/>
<polygon fill="#000000" stroke="#000000" points="1653.518,-170.5001 1643.518,-174 1653.5179,-177.5001 1653.518,-170.5001"/>
</g>
<!-- TallyComponent -->
<g id="node4" class="node">
<title>TallyComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2535.3809,-122 2424.6191,-122 2424.6191,-86 2535.3809,-86 2535.3809,-122"/>
<text text-anchor="middle" x="2480" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TallyComponent</text>
</g>
<!-- TallyComponent&#45;&gt;OperationManagementModule -->
<g id="edge4" class="edge">
<title>TallyComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M2480,-122.1061C2480,-141.3391 2480,-169 2480,-169 2480,-169 1653.3927,-169 1653.3927,-169"/>
<polygon fill="#000000" stroke="#000000" points="1653.3927,-165.5001 1643.3927,-169 1653.3927,-172.5001 1653.3927,-165.5001"/>
</g>
<!-- TestSiteCardsDownloadButtonComponent -->
<g id="node5" class="node">
<title>TestSiteCardsDownloadButtonComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2406.306,-122 2149.694,-122 2149.694,-86 2406.306,-86 2406.306,-122"/>
<text text-anchor="middle" x="2278" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestSiteCardsDownloadButtonComponent</text>
</g>
<!-- TestSiteCardsDownloadButtonComponent&#45;&gt;OperationManagementModule -->
<g id="edge5" class="edge">
<title>TestSiteCardsDownloadButtonComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M2278,-122.302C2278,-140.2699 2278,-165 2278,-165 2278,-165 1653.1838,-165 1653.1838,-165"/>
<polygon fill="#000000" stroke="#000000" points="1653.1839,-161.5001 1643.1838,-165 1653.1838,-168.5001 1653.1839,-161.5001"/>
</g>
<!-- TestSummaryComponent -->
<g id="node6" class="node">
<title>TestSummaryComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2131.8738,-122 1972.1262,-122 1972.1262,-86 2131.8738,-86 2131.8738,-122"/>
<text text-anchor="middle" x="2052" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestSummaryComponent</text>
</g>
<!-- TestSummaryComponent&#45;&gt;OperationManagementModule -->
<g id="edge6" class="edge">
<title>TestSummaryComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M2052,-122.027C2052,-138.3976 2052,-160 2052,-160 2052,-160 1653.3153,-160 1653.3153,-160"/>
<polygon fill="#000000" stroke="#000000" points="1653.3153,-156.5001 1643.3153,-160 1653.3152,-163.5001 1653.3153,-156.5001"/>
</g>
<!-- VotingMaterialCreationProgressComponent -->
<g id="node7" class="node">
<title>VotingMaterialCreationProgressComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="1954.0562,-122 1689.9438,-122 1689.9438,-86 1954.0562,-86 1954.0562,-122"/>
<text text-anchor="middle" x="1822" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingMaterialCreationProgressComponent</text>
</g>
<!-- VotingMaterialCreationProgressComponent&#45;&gt;OperationManagementModule -->
<g id="edge7" class="edge">
<title>VotingMaterialCreationProgressComponent&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M1822,-122.1871C1822,-137.1824 1822,-156 1822,-156 1822,-156 1653.3334,-156 1653.3334,-156"/>
<polygon fill="#000000" stroke="#000000" points="1653.3334,-152.5001 1643.3334,-156 1653.3334,-159.5001 1653.3334,-152.5001"/>
</g>
<!-- OperationManagementRoutingModule -->
<g id="node9" class="node">
<title>OperationManagementRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1665.7296,-122 1662.7296,-126 1641.7296,-126 1638.7296,-122 1432.2704,-122 1432.2704,-86 1665.7296,-86 1665.7296,-122"/>
<text text-anchor="middle" x="1549" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationManagementRoutingModule</text>
</g>
<!-- OperationManagementRoutingModule&#45;&gt;OperationManagementModule -->
<g id="edge8" class="edge">
<title>OperationManagementRoutingModule&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M1549,-122.1061C1549,-122.1061 1549,-140.991 1549,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="1545.5001,-140.9909 1549,-150.991 1552.5001,-140.991 1545.5001,-140.9909"/>
</g>
<!-- SharedModule -->
<g id="node10" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1414.4231,-122 1411.4231,-126 1390.4231,-126 1387.4231,-122 1315.5769,-122 1315.5769,-86 1414.4231,-86 1414.4231,-122"/>
<text text-anchor="middle" x="1365" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;OperationManagementModule -->
<g id="edge9" class="edge">
<title>SharedModule&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M1365,-122.1871C1365,-137.1824 1365,-156 1365,-156 1365,-156 1444.8439,-156 1444.8439,-156"/>
<polygon fill="#000000" stroke="#000000" points="1444.844,-159.5001 1454.8439,-156 1444.8439,-152.5001 1444.844,-159.5001"/>
</g>
<!-- VotingMaterialModule -->
<g id="node11" class="node">
<title>VotingMaterialModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1297.8585,-122 1294.8585,-126 1273.8585,-126 1270.8585,-122 1152.1415,-122 1152.1415,-86 1297.8585,-86 1297.8585,-122"/>
<text text-anchor="middle" x="1225" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingMaterialModule</text>
</g>
<!-- VotingMaterialModule&#45;&gt;OperationManagementModule -->
<g id="edge10" class="edge">
<title>VotingMaterialModule&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M1225,-122.027C1225,-138.3976 1225,-160 1225,-160 1225,-160 1444.8506,-160 1444.8506,-160"/>
<polygon fill="#000000" stroke="#000000" points="1444.8506,-163.5001 1454.8506,-160 1444.8505,-156.5001 1444.8506,-163.5001"/>
</g>
<!-- VotingPeriodModule -->
<g id="node12" class="node">
<title>VotingPeriodModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1134.486,-122 1131.486,-126 1110.486,-126 1107.486,-122 999.514,-122 999.514,-86 1134.486,-86 1134.486,-122"/>
<text text-anchor="middle" x="1067" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingPeriodModule</text>
</g>
<!-- VotingPeriodModule&#45;&gt;OperationManagementModule -->
<g id="edge11" class="edge">
<title>VotingPeriodModule&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M1067,-122.302C1067,-140.2699 1067,-165 1067,-165 1067,-165 1444.6345,-165 1444.6345,-165"/>
<polygon fill="#000000" stroke="#000000" points="1444.6346,-168.5001 1454.6345,-165 1444.6345,-161.5001 1444.6346,-168.5001"/>
</g>
<!-- GeneratedVotingMaterialService -->
<g id="node13" class="node">
<title>GeneratedVotingMaterialService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="837" cy="-104" rx="139.3995" ry="18"/>
<text text-anchor="middle" x="837" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">GeneratedVotingMaterialService</text>
</g>
<!-- GeneratedVotingMaterialService&#45;&gt;OperationManagementModule -->
<g id="edge12" class="edge">
<title>GeneratedVotingMaterialService&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M837,-122.1061C837,-141.3391 837,-169 837,-169 837,-169 1444.8194,-169 1444.8194,-169"/>
<polygon fill="#000000" stroke="#000000" points="1444.8194,-172.5001 1454.8194,-169 1444.8193,-165.5001 1444.8194,-172.5001"/>
</g>
<!-- OperationManagementService -->
<g id="node14" class="node">
<title>OperationManagementService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="551" cy="-104" rx="129.0327" ry="18"/>
<text text-anchor="middle" x="551" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationManagementService</text>
</g>
<!-- OperationManagementService&#45;&gt;OperationManagementModule -->
<g id="edge13" class="edge">
<title>OperationManagementService&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M551,-122.0267C551,-142.7672 551,-174 551,-174 551,-174 1444.6612,-174 1444.6612,-174"/>
<polygon fill="#000000" stroke="#000000" points="1444.6612,-177.5001 1454.6612,-174 1444.6611,-170.5001 1444.6612,-177.5001"/>
</g>
<!-- OperationStatusService -->
<g id="node15" class="node">
<title>OperationStatusService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="302" cy="-104" rx="102.4217" ry="18"/>
<text text-anchor="middle" x="302" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationStatusService</text>
</g>
<!-- OperationStatusService&#45;&gt;OperationManagementModule -->
<g id="edge14" class="edge">
<title>OperationStatusService&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M302,-122.2921C302,-144.2057 302,-178 302,-178 302,-178 1444.7612,-178 1444.7612,-178"/>
<polygon fill="#000000" stroke="#000000" points="1444.7612,-181.5001 1454.7612,-178 1444.7611,-174.5001 1444.7612,-181.5001"/>
</g>
<!-- ReadOnlyService -->
<g id="node16" class="node">
<title>ReadOnlyService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="103" cy="-104" rx="79.2922" ry="18"/>
<text text-anchor="middle" x="103" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ReadOnlyService</text>
</g>
<!-- ReadOnlyService&#45;&gt;OperationManagementModule -->
<g id="edge15" class="edge">
<title>ReadOnlyService&#45;&gt;OperationManagementModule</title>
<path fill="none" stroke="#000000" d="M103,-122.3228C103,-145.6602 103,-183 103,-183 103,-183 1444.6817,-183 1444.6817,-183"/>
<polygon fill="#000000" stroke="#000000" points="1444.6817,-186.5001 1454.6817,-183 1444.6817,-179.5001 1444.6817,-186.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/operation-management.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/DeploymentSummaryComponent.html">DeploymentSummaryComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/OperationManagementComponent.html">OperationManagementComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ProductionSummaryComponent.html">ProductionSummaryComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TallyComponent.html">TallyComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestSiteCardsDownloadButtonComponent.html">TestSiteCardsDownloadButtonComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TestSummaryComponent.html">TestSummaryComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingMaterialCreationProgressComponent.html">VotingMaterialCreationProgressComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/GeneratedVotingMaterialService.html">GeneratedVotingMaterialService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/OperationManagementService.html">OperationManagementService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/OperationStatusService.html">OperationStatusService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/OperationManagementRoutingModule.html">OperationManagementRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/VotingMaterialModule.html">VotingMaterialModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/VotingPeriodModule.html">VotingPeriodModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &quot;@angular/core&quot;;
import { SharedModule } from &#x27;../shared/shared.module&#x27;;
import { OperationStatusService } from &#x27;./service/operation.status.service&#x27;;
import { CovalentStepsModule } from &#x27;@covalent/core&#x27;;
import { OperationResolver } from &#x27;./service/operation-resolver&#x27;;
import { MatTabsModule } from &#x27;@angular/material&#x27;;
import { OperationManagementService } from &#x27;./service/operation-managment.service&#x27;;
import { GeneratedVotingMaterialService } from &#x27;./service/generated-voting-material.service&#x27;;
import { OperationManagementRoutingModule } from &#x27;./operation-management-routing.module&#x27;;
import { OperationManagementComponent } from &#x27;./operation-management.component&#x27;;
import { DeploymentSummaryComponent } from &#x27;./deployment-summary/deployment-summary.component&#x27;;
import { VotingMaterialModule } from &#x27;./voting-material/voting-material.module&#x27;;
import { TestSiteCardsDownloadButtonComponent } from &#x27;./deployment-summary/test-site-cards-download-button.component&#x27;;
import { ReadOnlyService } from &#x27;./service/read-only.service&#x27;;
import { VotingMaterialCreationProgressComponent } from &#x27;./deployment-summary/voting-material-creation-progress/voting-material-creation-progress.component&#x27;;
import { VotingPeriodModule } from &#x27;./voting-period/voting-period.module&#x27;;
import { ProductionSummaryComponent } from &#x27;./deployment-summary/production-summary/production-summary.component&#x27;;
import { TestSummaryComponent } from &#x27;./deployment-summary/test-summary/test-summary.component&#x27;;
import { TallyComponent } from &#x27;./tally/tally.component&#x27;;

@NgModule({
  imports: [
    SharedModule,
    OperationManagementRoutingModule,
    CovalentStepsModule,
    MatTabsModule,
    VotingMaterialModule,
    VotingPeriodModule
  ],
  declarations: [
    OperationManagementComponent,
    DeploymentSummaryComponent,
    TestSiteCardsDownloadButtonComponent,
    VotingMaterialCreationProgressComponent,
    ProductionSummaryComponent,
    TestSummaryComponent,
    TallyComponent,
  ],
  providers: [
    OperationStatusService,
    OperationManagementService,
    ReadOnlyService,
    OperationResolver,
    GeneratedVotingMaterialService
  ]
})
export class OperationManagementModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'OperationManagementModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
